> For the complete documentation index, see [llms.txt](https://docs.polyfrost.org/oneconfig/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.polyfrost.org/oneconfig/events/available-events/locrawevent.md).

# LocrawEvent

## What is Locraw?

Locraw is a Hypixel specific feature which means Location Raw, and it is a .json String sent by the server to the chat upon typing of the command /locraw. It is extremely useful for mods that are gamemode-specific, for example Skyblock mods that should only work in Skyblock. See [Broken mention](broken://pages/nbpRblyECm0c7pSmPuEy) for more information on Locraw.

## Event information

LocrawEvent is fired every time a Locraw message is received from the server successfully. It is intended as another method to get the location of the player, besides checking the fields of the HypixelUtils class.

Here is some code demonstrating its features:

```java
@Subscribe
public void onLocraw(LocrawEvent event) {
    // print out the location of the player
    System.out.println("got location: " + event.info.toString());
    if(event.info.gameType == LocrawInfo.GameType.BEDWARS) {
        System.out.println("in bedwars game!");
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.polyfrost.org/oneconfig/events/available-events/locrawevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
